﻿using Chop.Game.Messages.IDs;
namespace Chop.Game.Messages.Incoming.Handshake
{
    class InfoRetrieveMessageHandler : IMessageHandler
    {
        public void Handle(GameClient client, RequestParser parser)
        {
            client.Response.Init(OutgoingMessages.UserObjectEvent); // UserObjectEvent

            client.Response.AppendInt32(client.mHabbo.mID);
            client.Response.AppendString(client.mHabbo.mName);
            client.Response.AppendString(client.mHabbo.mFigure);
            client.Response.AppendString(client.mHabbo.mGender.ToString());
            client.Response.AppendString(client.mHabbo.mMotto); // customData
            client.Response.AppendString(client.mHabbo.mRealName);
            client.Response.AppendInt32(1); // directMail
            client.Response.AppendInt32(1); // respectTotal
            client.Response.AppendInt32(1); // respectLeft
            client.Response.AppendInt32(1); // petRespectLeft
            client.Response.AppendBoolean(true); // streamPublishingAllowed
            client.SendResponse();
        }
    }
}
