using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Chop.Game.Messages.IDs;
namespace Chop.Game.Messages.Incoming.room.chat
{
    class ShoutMessageComposer: IMessageHandler
    {
        public void Handle(GameClient client, RequestParser parser)
        {
            string messageText = Core.BobbaFilter.FilterText(parser.ReadString());

            ResponseBuilder message = new ResponseBuilder(OutgoingMessages.ShoutMessageEvent);
            message.AppendInt32(client.mRoomUser.mDynamicID);
            message.AppendString(messageText);
            message.AppendInt32(2); // TODO: gesture
            
            message.AppendInt32(2); // link count
            message.AppendString("http://google.no");
            message.AppendString("http://google.no");
            message.AppendBoolean(false); // link is local?
            message.AppendString("http://google.se");
            message.AppendString("http://google.se");
            message.AppendBoolean(false); // link is local?

            message.AppendInt32(1); // ???
            client.mRoom.SendMessage(message);
        }
    }
}