﻿namespace Chop.Game.Messages.Incoming.Handshake
{
    class InfoRetrieveMessageHandler : IMessageHandler
    {
        public void Handle(GameClient client, RequestParser parser)
        {
            client.Response.Init(5); // UserObjectEvent

            client.Response.AppendInt32(client.mHabbo.mID);
            client.Response.AppendString(client.mHabbo.mName);
            client.Response.AppendString(client.mHabbo.mFigure);
            client.Response.AppendString(client.mHabbo.mGender.ToString());
            client.Response.AppendString(client.mHabbo.mMotto); // customData
            client.Response.AppendString("audun.wa");
            client.Response.AppendInt32(0); // directMail
            client.Response.AppendInt32(0); // respectTotal
            client.Response.AppendInt32(0); // respectLeft
            client.Response.AppendInt32(0); // petRespectLeft
            client.Response.AppendBoolean(true); // streamPublishingAllowed
            client.SendResponse();
        }
    }
}
