using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Chop.Game.Messages.IDs;
namespace Chop.Game.Messages.Incoming.friendlist
{
    class FollowFriendEvent: IMessageHandler
    {
        public void Handle(GameClient client, RequestParser parser)
        {
            // ERROR CODES:
            // 0 = [friendlist.followerror.notfriend]
            // 1 = [friendlist.followerror.offline]
            // 2 = [friendlist.followerror.hotelview]
            // 3 = [friendlist.followerror.prevented]
            int friendID = parser.ReadInt32();

            if (!client.mConsole.mBuddies.ContainsKey(friendID)) // nope.avi
            {
                ResponseBuilder message = new ResponseBuilder(OutgoingMessages.FollowFriendFailedEvent);
                message.AppendInt32(0); // errorCode
                client.SendMessage(message);
                return;
            }
            if (Core.ClientManager.GetClientByHabbo(friendID) == null) // nope.avi
            {
                ResponseBuilder message = new ResponseBuilder(OutgoingMessages.FollowFriendFailedEvent);
                message.AppendInt32(1); // errorCode
                client.SendMessage(message);
                return;
            }
            if (Core.ClientManager.GetClientByHabbo(friendID).mRoom == null) // nope.avi
            {
                ResponseBuilder message = new ResponseBuilder(OutgoingMessages.FollowFriendFailedEvent);
                message.AppendInt32(2); // errorCode
                client.SendMessage(message);
                return;
            }
            // TODO: Follow and last error!
        }
    }
}