using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Chop.Game.Messages.IDs;
namespace Chop.Game.Messages.Incoming.register
{
    class UpdateFigureDataMessageComposer: IMessageHandler
    {
        public void Handle(GameClient client, RequestParser parser)
        {
            string newGender = parser.ReadString();
            string newFigure = parser.ReadString();

            client.mHabbo.mGender = Convert.ToChar(newGender);
            client.mHabbo.mFigure = newFigure;

            var contents = new Dictionary<string, string> { { "figure", newFigure }, { "gender", newGender } };
            client.mHabbo.UpdateColumns(contents);


            ResponseBuilder message = new ResponseBuilder(OutgoingMessages.UserChangeMessageEvent);
            message.AppendInt32(-1); // id
            message.AppendString(newFigure); // figure
            message.AppendString(newGender); // sex
            message.AppendString(client.mHabbo.mMotto); // customInfo
            message.AppendInt32(12); // achievementScore
            client.SendMessage(message);

            message = new ResponseBuilder(OutgoingMessages.UserChangeMessageEvent);
            message.AppendInt32(client.mRoomUser.mDynamicID); // id
            message.AppendString(newFigure); // figure
            message.AppendString(newGender); // sex
            message.AppendString(client.mHabbo.mMotto); // customInfo
            message.AppendInt32(12); // achievementScore
            client.mRoom.SendMessage(message);
        }
    }
}